Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453853 - Review Request: globus-gsi-openssl-error - Globus Toolkit - Globus OpenSSL Error Handling
Summary: Review Request: globus-gsi-openssl-error - Globus Toolkit - Globus OpenSSL Er...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453850 453851
Blocks: globus 453855 453856 453857 453858 453861 453862 453865 467237
TreeView+ depends on / blocked
 
Reported: 2008-07-02 22:12 UTC by Mattias Ellert
Modified: 2009-05-12 04:03 UTC (History)
3 users (show)

Fixed In Version: 0.14-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-27 21:29:57 UTC
oget.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2008-07-02 22:12:25 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gsi-openssl-error.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gsi-openssl-error-0.14-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gsi-openssl-error package contains:
Globus OpenSSL Error Handling

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-common-devel >= 3
BuildRequires:  globus-openssl-devel >= 1
BuildRequires:  globus-core-devel >= 4

Comment 3 Mattias Ellert 2009-03-15 23:58:29 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-openssl-error-0.14-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-openssl-error.spec

Comment 4 Orcan Ogetbil 2009-04-13 06:24:19 UTC
Since this package is almost identical to bug 467235, most of my suggestions/objections in that bug apply to this one. Could you update this package accordingly, so I'll take the review from that point? (This probably also applies to most of the other globus packages.)

Comment 5 Mattias Ellert 2009-04-17 13:43:57 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-openssl-error-0.14-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-openssl-error.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 6 Orcan Ogetbil 2009-04-21 20:53:54 UTC
I see that you updated all the packages with the license files in the tarballs already. That's good.

I checked this package and found no problems. Also I made a rawhide build in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1312177
I downloaded and tested the resulting RPMs. Everything seems good.

-----------------------------------------------------------
This package (globus-gsi-openssl-error) is APPROVED by oget
-----------------------------------------------------------

We are almost out of the bottle neck :)

Comment 7 Orcan Ogetbil 2009-04-21 20:56:44 UTC
Just build this in the rawhide so I can jump on the next one.

Comment 8 Mattias Ellert 2009-04-22 05:01:25 UTC
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-gsi-openssl-error
Short Description: Globus Toolkit - Globus OpenSSL Error Handling
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 9 Kevin Fenzi 2009-04-23 16:20:14 UTC
cvs done.

Comment 10 Fedora Update System 2009-04-24 14:21:11 UTC
globus-gsi-openssl-error-0.14-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gsi-openssl-error-0.14-1.fc10

Comment 11 Fedora Update System 2009-04-24 14:21:17 UTC
globus-gsi-openssl-error-0.14-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gsi-openssl-error-0.14-1.fc9

Comment 12 Fedora Update System 2009-04-27 21:29:52 UTC
globus-gsi-openssl-error-0.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-04-27 21:34:16 UTC
globus-gsi-openssl-error-0.14-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-05-08 13:55:08 UTC
globus-gsi-openssl-error-0.14-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gsi-openssl-error-0.14-2.fc11

Comment 15 Fedora Update System 2009-05-12 04:03:14 UTC
globus-gsi-openssl-error-0.14-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.